<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Plugins\DocumentPlugin\Entity;

use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class DocumentEntity extends Entity {

    //Constructeur
    function __construct($core) {
        //Version
        $this->Version = "2.0.0.0";

        //Nom de la table 
        $this->Core = $core;
        $this->TableName = "DocumentEntity";
        $this->Alias = "DocumentEntity";

        $this->EntityName = new Property("EntityName", "EntityName", TEXTBOX, false, $this->Alias);
        $this->EntityId = new Property("EntityId", "EntityId", NUMERICBOX, false, $this->Alias);
        $this->FileName = new Property("FileName", "FileName", TEXTBOX, false, $this->Alias);
        $this->Url = new Property("Url", "Url", TEXTBOX, false, $this->Alias);
      
        //Creation de l entité 
        $this->Create();
    }
}

?>